
package com.tmerclub.cloud.flow.constant;

/**
 * 页面编号（编号的顺序对数据没有影响）
 *
 * @author
 */
public enum FlowLogPageEnum {

    /** 首页*/
    HOME(1, "首页"),
    /** 商品详情（普通） */
    PROD_INFO(2, "商品详情页"),
    /** 分类 */
    CATEGORY(3, "分类页"),

    /**
     * =================== 100+ 以上是活动页面 ===================
     */

    /** 满减  */
    DISCOUNT(101, "满减活动"),
    /** 领券中心  */
    COUPON(102, "领券中心"),
    /** 购物车 */
    GROUP(103, "团购活动"),
    /** 购物车 */
    SECKILL(104, "秒杀活动"),
    /** 购物车 */
    DISTRIBUTION(105, "分销页面"),


    /**
     * =================== 200+ 是订单页面 ===================
     */

    /** 购物车 */
    SHOP_CAT(201, "购物车页"),
    /** 订单详情 */
    PLACE_ORDER(202, "订单详情页"),
    /** 订单列表 */
    ORDER_LIST(203, "订单列表页"),
    /** 支付页面 */
    PAY(204, "支付页"),
    /** 支付成功页面 */
    PAY_SUCCESS(205, "支付成功页"),
    /** 生成订单结算页面 */
    ORDER_CONFIRM(206, "生成订单结算页面"),
    /** 订单退款详情 */
    ORDER_REFUND_DETAILS(207, "订单退款详情"),
    /** 申请退款 */
    ORDER_REFUND_APPLY(208, "生成订单结算页面"),


    /**
     * =================== 300+ 是会员页面 ===================
     */

    /** 个人中心 */
    USER_CENTER(301, "个人中心首页"),
    /* 会员中心 */
    USER(302, "会员中心"),
    /* 我的余额 */
    USER_RECHARGE(303, "我的余额");

    private final Integer id;
    private final String name;

    public Integer value() {
        return id;
    }

    public static String name(Integer id) {
        FlowLogPageEnum[] enums = values();
        for (FlowLogPageEnum statusEnum : enums) {
            if (statusEnum.value().equals(id)) {
                return statusEnum.name;
            }
        }
        return null;
    }

    FlowLogPageEnum(Integer id, String name) {
        this.id = id;
        this.name = name;
    }

    public static FlowLogPageEnum[] allEnum() {
        return values();
    }

}
